function d=polyder(p)
%% usage: d=polyder(p)
%% 
%% Coefficents of derivative of polynomial with coefficients p. 

	lp=length(p);
	if (lp==1)
		d=0;
		return;
	end
	d=zeros(1,lp-1);
	for k=1:lp-1
		d(k)=(lp-k)*p(k);
	end
end